Index: DefaultJExpressionBuilderView.java
===================================================================
--- DefaultJExpressionBuilderView.java	(revision 43986)
+++ DefaultJExpressionBuilderView.java	(revision 43987)
@@ -31,13 +31,13 @@
    JList lstSimpleElement = new JList();
    JTextArea txtExpression = new JTextArea();
    JButton btnEq = new JButton();
+   JButton btnNeq = new JButton();
    JButton btnAdd = new JButton();
    JButton btnSubst = new JButton();
    JButton btnMult = new JButton();
    JButton btnDiv = new JButton();
    JButton btnParentOpen = new JButton();
    JButton btnParentClose = new JButton();
-   JButton btnNeq = new JButton();
    JTree treeElements = new JTree();
    JEditorPane txtDescription = new JEditorPane();
    JTextField txtGroupElement = new JTextField();
@@ -46,6 +46,7 @@
    JButton btnSimpleElementSortDown = new JButton();
    JButton btnSimpleElementSortUp = new JButton();
    JLabel lblSimpleElementsMsg = new JLabel();
+   JButton btnSimpleElementTimeLimit = new JButton();
    JTextField txtSimpleElementFilter = new JTextField();
    JButton btnSimpleElementFilter = new JButton();
    JPanel pnlScriptEditorContainer = new JPanel();
@@ -159,7 +160,7 @@
    public JPanel createPanel1()
    {
       JPanel jpanel1 = new JPanel();
-      FormLayout formlayout1 = new FormLayout("FILL:4DLU:NONE,FILL:80DLU:NONE,FILL:4DLU:NONE,FILL:100DLU:NONE,FILL:4DLU:NONE,FILL:DEFAULT:GROW(0.3),FILL:4DLU:NONE","CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,FILL:DEFAULT:NONE,CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:DEFAULT:NONE");
+      FormLayout formlayout1 = new FormLayout("FILL:4DLU:NONE,FILL:80DLU:GROW(0.2),FILL:4DLU:NONE,FILL:100DLU:NONE,FILL:4DLU:NONE,FILL:DEFAULT:GROW(0.8),FILL:4DLU:NONE","CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,FILL:DEFAULT:NONE,CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:DEFAULT:NONE");
       CellConstraints cc = new CellConstraints();
       jpanel1.setLayout(formlayout1);
 
@@ -196,11 +197,12 @@
    public JPanel createPanel2()
    {
       JPanel jpanel1 = new JPanel();
-      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE","FILL:DEFAULT:GROW(1.0)");
+      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE","FILL:DEFAULT:NONE");
       CellConstraints cc = new CellConstraints();
       jpanel1.setLayout(formlayout1);
 
       txtExpression.setName("txtExpression");
+      txtExpression.setRows(2);
       JScrollPane jscrollpane1 = new JScrollPane();
       jscrollpane1.setViewportView(txtExpression);
       jscrollpane1.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
@@ -215,7 +217,7 @@
    public JPanel createPanel3()
    {
       JPanel jpanel1 = new JPanel();
-      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE");
+      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE");
       CellConstraints cc = new CellConstraints();
       jpanel1.setLayout(formlayout1);
 
@@ -226,56 +228,56 @@
       btnEq.setBorder(emptyborder1);
       jpanel1.add(btnEq,cc.xy(1,1));
 
+      btnNeq.setActionCommand("+");
+      btnNeq.setName("btnNeq");
+      btnNeq.setText("<>");
+      EmptyBorder emptyborder2 = new EmptyBorder(2,2,2,2);
+      btnNeq.setBorder(emptyborder2);
+      jpanel1.add(btnNeq,cc.xy(3,1));
+
       btnAdd.setActionCommand("+");
       btnAdd.setName("btnAdd");
       btnAdd.setText("+");
-      EmptyBorder emptyborder2 = new EmptyBorder(2,2,2,2);
-      btnAdd.setBorder(emptyborder2);
-      jpanel1.add(btnAdd,cc.xy(1,3));
+      EmptyBorder emptyborder3 = new EmptyBorder(2,2,2,2);
+      btnAdd.setBorder(emptyborder3);
+      jpanel1.add(btnAdd,cc.xy(5,1));
 
       btnSubst.setActionCommand("+");
       btnSubst.setName("btnSubst");
       btnSubst.setText("-");
-      EmptyBorder emptyborder3 = new EmptyBorder(2,2,2,2);
-      btnSubst.setBorder(emptyborder3);
-      jpanel1.add(btnSubst,cc.xy(3,3));
+      EmptyBorder emptyborder4 = new EmptyBorder(2,2,2,2);
+      btnSubst.setBorder(emptyborder4);
+      jpanel1.add(btnSubst,cc.xy(7,1));
 
       btnMult.setActionCommand("+");
       btnMult.setName("btnMult");
       btnMult.setText("*");
-      EmptyBorder emptyborder4 = new EmptyBorder(2,2,2,2);
-      btnMult.setBorder(emptyborder4);
-      jpanel1.add(btnMult,cc.xy(1,5));
+      EmptyBorder emptyborder5 = new EmptyBorder(2,2,2,2);
+      btnMult.setBorder(emptyborder5);
+      jpanel1.add(btnMult,cc.xy(1,3));
 
       btnDiv.setActionCommand("+");
       btnDiv.setName("btnDiv");
       btnDiv.setText("/");
-      EmptyBorder emptyborder5 = new EmptyBorder(2,2,2,2);
-      btnDiv.setBorder(emptyborder5);
-      jpanel1.add(btnDiv,cc.xy(3,5));
+      EmptyBorder emptyborder6 = new EmptyBorder(2,2,2,2);
+      btnDiv.setBorder(emptyborder6);
+      jpanel1.add(btnDiv,cc.xy(3,3));
 
       btnParentOpen.setActionCommand("+");
       btnParentOpen.setName("btnParentOpen");
       btnParentOpen.setText("(");
-      EmptyBorder emptyborder6 = new EmptyBorder(2,2,2,2);
-      btnParentOpen.setBorder(emptyborder6);
-      jpanel1.add(btnParentOpen,cc.xy(1,7));
+      EmptyBorder emptyborder7 = new EmptyBorder(2,2,2,2);
+      btnParentOpen.setBorder(emptyborder7);
+      jpanel1.add(btnParentOpen,cc.xy(5,3));
 
       btnParentClose.setActionCommand("+");
       btnParentClose.setName("btnParentClose");
       btnParentClose.setText(")");
-      EmptyBorder emptyborder7 = new EmptyBorder(2,2,2,2);
-      btnParentClose.setBorder(emptyborder7);
-      jpanel1.add(btnParentClose,cc.xy(3,7));
-
-      btnNeq.setActionCommand("+");
-      btnNeq.setName("btnNeq");
-      btnNeq.setText("<>");
       EmptyBorder emptyborder8 = new EmptyBorder(2,2,2,2);
-      btnNeq.setBorder(emptyborder8);
-      jpanel1.add(btnNeq,cc.xy(3,1));
+      btnParentClose.setBorder(emptyborder8);
+      jpanel1.add(btnParentClose,cc.xy(7,3));
 
-      addFillComponents(jpanel1,new int[]{ 2 },new int[]{ 2,4,6 });
+      addFillComponents(jpanel1,new int[]{ 2,4,6,8 },new int[]{ 2,4 });
       return jpanel1;
    }
 
@@ -305,7 +307,7 @@
    public JPanel createPanel5()
    {
       JPanel jpanel1 = new JPanel();
-      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE","CENTER:PREF:NONE");
+      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE","CENTER:PREF:NONE");
       CellConstraints cc = new CellConstraints();
       jpanel1.setLayout(formlayout1);
 
@@ -314,26 +316,33 @@
       btnSimpleElementInsert.setName("btnSimpleElementInsert");
       EmptyBorder emptyborder1 = new EmptyBorder(2,2,2,2);
       btnSimpleElementInsert.setBorder(emptyborder1);
-      jpanel1.add(btnSimpleElementInsert,cc.xy(6,1));
+      jpanel1.add(btnSimpleElementInsert,cc.xy(8,1));
 
       btnSimpleElementSortDown.setActionCommand("+");
       btnSimpleElementSortDown.setIcon(loadImage("datos/devel/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.swing/org.gvsig.expressionevaluator.swing.impl/src/main/resources/org/gvsig/expressionevaluator/swing/impl/expressionbuilder-sortdown.png"));
       btnSimpleElementSortDown.setName("btnSimpleElementSortDown");
       EmptyBorder emptyborder2 = new EmptyBorder(2,2,2,2);
       btnSimpleElementSortDown.setBorder(emptyborder2);
-      jpanel1.add(btnSimpleElementSortDown,cc.xy(4,1));
+      jpanel1.add(btnSimpleElementSortDown,cc.xy(6,1));
 
       btnSimpleElementSortUp.setActionCommand("+");
       btnSimpleElementSortUp.setIcon(loadImage("datos/devel/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.swing/org.gvsig.expressionevaluator.swing.impl/src/main/resources/org/gvsig/expressionevaluator/swing/impl/expressionbuilder-sortup.png"));
       btnSimpleElementSortUp.setName("btnSimpleElementSortUp");
       EmptyBorder emptyborder3 = new EmptyBorder(2,2,2,2);
       btnSimpleElementSortUp.setBorder(emptyborder3);
-      jpanel1.add(btnSimpleElementSortUp,cc.xy(2,1));
+      jpanel1.add(btnSimpleElementSortUp,cc.xy(4,1));
 
       lblSimpleElementsMsg.setName("lblSimpleElementsMsg");
       jpanel1.add(lblSimpleElementsMsg,cc.xy(1,1));
 
-      addFillComponents(jpanel1,new int[]{ 3,5 },new int[0]);
+      btnSimpleElementTimeLimit.setActionCommand("+");
+      btnSimpleElementTimeLimit.setIcon(loadImage("datos/devel/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.swing/org.gvsig.expressionevaluator.swing.impl/src/main/resources/org/gvsig/expressionevaluator/swing/impl/expressionbuilder-time-limit.png"));
+      btnSimpleElementTimeLimit.setName("btnSimpleElementTimeLimit");
+      EmptyBorder emptyborder4 = new EmptyBorder(2,2,2,2);
+      btnSimpleElementTimeLimit.setBorder(emptyborder4);
+      jpanel1.add(btnSimpleElementTimeLimit,cc.xy(2,1));
+
+      addFillComponents(jpanel1,new int[]{ 3,5,7 },new int[0]);
       return jpanel1;
    }
 