Index: DefaultJExpressionBuilderView.xml
===================================================================
--- DefaultJExpressionBuilderView.xml	(revision 43986)
+++ DefaultJExpressionBuilderView.xml	(revision 43987)
@@ -109,9 +109,9 @@
                       </at>
                       <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                      </super>
-                     <at name="id">embedded.488888379</at>
+                     <at name="id">embedded.1947402885</at>
                      <at name="rowspecs">CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,FILL:DEFAULT:NONE,CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:DEFAULT:NONE</at>
-                     <at name="colspecs">FILL:4DLU:NONE,FILL:80DLU:NONE,FILL:4DLU:NONE,FILL:100DLU:NONE,FILL:4DLU:NONE,FILL:DEFAULT:GROW(0.3),FILL:4DLU:NONE</at>
+                     <at name="colspecs">FILL:4DLU:NONE,FILL:80DLU:GROW(0.2),FILL:4DLU:NONE,FILL:100DLU:NONE,FILL:4DLU:NONE,FILL:DEFAULT:GROW(0.8),FILL:4DLU:NONE</at>
                      <at name="components">
                       <object classname="java.util.LinkedList">
                        <item >
@@ -194,7 +194,7 @@
                                 </at>
                                </object>
                               </at>
-                              <at name="height">98</at>
+                              <at name="height">138</at>
                              </object>
                             </at>
                            </object>
@@ -219,8 +219,8 @@
                            </at>
                            <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                           </super>
-                          <at name="id">embedded.1971182927</at>
-                          <at name="rowspecs">FILL:DEFAULT:GROW(1.0)</at>
+                          <at name="id">embedded.1898656295</at>
+                          <at name="rowspecs">FILL:DEFAULT:NONE</at>
                           <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
                           <at name="components">
                            <object classname="java.util.LinkedList">
@@ -271,7 +271,8 @@
                                    <at name="scrollableTracksViewportHeight">true</at>
                                    <at name="scrollableTracksViewportWidth">true</at>
                                    <at name="name">txtExpression</at>
-                                   <at name="width">634</at>
+                                   <at name="width">548</at>
+                                   <at name="rows">2</at>
                                    <at name="scollBars">
                                     <object classname="com.jeta.forms.store.properties.ScrollBarsProperty">
                                      <at name="name">scollBars</at>
@@ -299,7 +300,7 @@
                                      </at>
                                     </object>
                                    </at>
-                                   <at name="height">118</at>
+                                   <at name="height">78</at>
                                   </object>
                                  </at>
                                 </object>
@@ -324,9 +325,9 @@
                                 </at>
                                 <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                                </super>
-                               <at name="id">embedded.2064017016</at>
-                               <at name="rowspecs">CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE</at>
-                               <at name="colspecs">FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
+                               <at name="id">embedded.2005003443</at>
+                               <at name="rowspecs">CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE</at>
+                               <at name="colspecs">FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE</at>
                                <at name="components">
                                 <object classname="java.util.LinkedList">
                                  <item >
@@ -395,8 +396,8 @@
                                     <super classname="com.jeta.forms.store.memento.ComponentMemento">
                                      <at name="cellconstraints">
                                       <object classname="com.jeta.forms.store.memento.CellConstraintsMemento">
-                                       <at name="column">1</at>
-                                       <at name="row">3</at>
+                                       <at name="column">3</at>
+                                       <at name="row">1</at>
                                        <at name="colspan">1</at>
                                        <at name="rowspan">1</at>
                                        <at name="halign">default</at>
@@ -438,9 +439,9 @@
                                          </object>
                                         </at>
                                         <at name="actionCommand">+</at>
-                                        <at name="name">btnAdd</at>
-                                        <at name="width">13</at>
-                                        <at name="text">+</at>
+                                        <at name="name">btnNeq</at>
+                                        <at name="width">22</at>
+                                        <at name="text">&lt;&gt;</at>
                                         <at name="height">18</at>
                                        </object>
                                       </at>
@@ -455,8 +456,8 @@
                                     <super classname="com.jeta.forms.store.memento.ComponentMemento">
                                      <at name="cellconstraints">
                                       <object classname="com.jeta.forms.store.memento.CellConstraintsMemento">
-                                       <at name="column">3</at>
-                                       <at name="row">3</at>
+                                       <at name="column">5</at>
+                                       <at name="row">1</at>
                                        <at name="colspan">1</at>
                                        <at name="rowspan">1</at>
                                        <at name="halign">default</at>
@@ -498,9 +499,9 @@
                                          </object>
                                         </at>
                                         <at name="actionCommand">+</at>
-                                        <at name="name">btnSubst</at>
-                                        <at name="width">22</at>
-                                        <at name="text">-</at>
+                                        <at name="name">btnAdd</at>
+                                        <at name="width">13</at>
+                                        <at name="text">+</at>
                                         <at name="height">18</at>
                                        </object>
                                       </at>
@@ -515,8 +516,8 @@
                                     <super classname="com.jeta.forms.store.memento.ComponentMemento">
                                      <at name="cellconstraints">
                                       <object classname="com.jeta.forms.store.memento.CellConstraintsMemento">
-                                       <at name="column">1</at>
-                                       <at name="row">5</at>
+                                       <at name="column">7</at>
+                                       <at name="row">1</at>
                                        <at name="colspan">1</at>
                                        <at name="rowspan">1</at>
                                        <at name="halign">default</at>
@@ -558,9 +559,9 @@
                                          </object>
                                         </at>
                                         <at name="actionCommand">+</at>
-                                        <at name="name">btnMult</at>
-                                        <at name="width">13</at>
-                                        <at name="text">*</at>
+                                        <at name="name">btnSubst</at>
+                                        <at name="width">12</at>
+                                        <at name="text">-</at>
                                         <at name="height">18</at>
                                        </object>
                                       </at>
@@ -575,8 +576,8 @@
                                     <super classname="com.jeta.forms.store.memento.ComponentMemento">
                                      <at name="cellconstraints">
                                       <object classname="com.jeta.forms.store.memento.CellConstraintsMemento">
-                                       <at name="column">3</at>
-                                       <at name="row">5</at>
+                                       <at name="column">1</at>
+                                       <at name="row">3</at>
                                        <at name="colspan">1</at>
                                        <at name="rowspan">1</at>
                                        <at name="halign">default</at>
@@ -618,9 +619,9 @@
                                          </object>
                                         </at>
                                         <at name="actionCommand">+</at>
-                                        <at name="name">btnDiv</at>
-                                        <at name="width">22</at>
-                                        <at name="text">/</at>
+                                        <at name="name">btnMult</at>
+                                        <at name="width">13</at>
+                                        <at name="text">*</at>
                                         <at name="height">18</at>
                                        </object>
                                       </at>
@@ -635,8 +636,8 @@
                                     <super classname="com.jeta.forms.store.memento.ComponentMemento">
                                      <at name="cellconstraints">
                                       <object classname="com.jeta.forms.store.memento.CellConstraintsMemento">
-                                       <at name="column">1</at>
-                                       <at name="row">7</at>
+                                       <at name="column">3</at>
+                                       <at name="row">3</at>
                                        <at name="colspan">1</at>
                                        <at name="rowspan">1</at>
                                        <at name="halign">default</at>
@@ -678,9 +679,9 @@
                                          </object>
                                         </at>
                                         <at name="actionCommand">+</at>
-                                        <at name="name">btnParentOpen</at>
-                                        <at name="width">13</at>
-                                        <at name="text">(</at>
+                                        <at name="name">btnDiv</at>
+                                        <at name="width">22</at>
+                                        <at name="text">/</at>
                                         <at name="height">18</at>
                                        </object>
                                       </at>
@@ -695,8 +696,8 @@
                                     <super classname="com.jeta.forms.store.memento.ComponentMemento">
                                      <at name="cellconstraints">
                                       <object classname="com.jeta.forms.store.memento.CellConstraintsMemento">
-                                       <at name="column">3</at>
-                                       <at name="row">7</at>
+                                       <at name="column">5</at>
+                                       <at name="row">3</at>
                                        <at name="colspan">1</at>
                                        <at name="rowspan">1</at>
                                        <at name="halign">default</at>
@@ -738,9 +739,9 @@
                                          </object>
                                         </at>
                                         <at name="actionCommand">+</at>
-                                        <at name="name">btnParentClose</at>
-                                        <at name="width">22</at>
-                                        <at name="text">)</at>
+                                        <at name="name">btnParentOpen</at>
+                                        <at name="width">13</at>
+                                        <at name="text">(</at>
                                         <at name="height">18</at>
                                        </object>
                                       </at>
@@ -755,8 +756,8 @@
                                     <super classname="com.jeta.forms.store.memento.ComponentMemento">
                                      <at name="cellconstraints">
                                       <object classname="com.jeta.forms.store.memento.CellConstraintsMemento">
-                                       <at name="column">3</at>
-                                       <at name="row">1</at>
+                                       <at name="column">7</at>
+                                       <at name="row">3</at>
                                        <at name="colspan">1</at>
                                        <at name="rowspan">1</at>
                                        <at name="halign">default</at>
@@ -798,9 +799,9 @@
                                          </object>
                                         </at>
                                         <at name="actionCommand">+</at>
-                                        <at name="name">btnNeq</at>
-                                        <at name="width">22</at>
-                                        <at name="text">&lt;&gt;</at>
+                                        <at name="name">btnParentClose</at>
+                                        <at name="width">12</at>
+                                        <at name="text">)</at>
                                         <at name="height">18</at>
                                        </object>
                                       </at>
@@ -866,28 +867,19 @@
                                <at name="cellpainters">
                                 <object classname="com.jeta.forms.store.support.Matrix">
                                  <at name="rows">
-                                  <object classname="[Ljava.lang.Object;" size="7">
+                                  <object classname="[Ljava.lang.Object;" size="4">
                                    <at name="item" index="0">
-                                    <object classname="[Ljava.lang.Object;" size="3"/>
+                                    <object classname="[Ljava.lang.Object;" size="8"/>
                                    </at>
                                    <at name="item" index="1">
-                                    <object classname="[Ljava.lang.Object;" size="3"/>
+                                    <object classname="[Ljava.lang.Object;" size="8"/>
                                    </at>
                                    <at name="item" index="2">
-                                    <object classname="[Ljava.lang.Object;" size="3"/>
+                                    <object classname="[Ljava.lang.Object;" size="8"/>
                                    </at>
                                    <at name="item" index="3">
-                                    <object classname="[Ljava.lang.Object;" size="3"/>
+                                    <object classname="[Ljava.lang.Object;" size="8"/>
                                    </at>
-                                   <at name="item" index="4">
-                                    <object classname="[Ljava.lang.Object;" size="3"/>
-                                   </at>
-                                   <at name="item" index="5">
-                                    <object classname="[Ljava.lang.Object;" size="3"/>
-                                   </at>
-                                   <at name="item" index="6">
-                                    <object classname="[Ljava.lang.Object;" size="3"/>
-                                   </at>
                                   </object>
                                  </at>
                                 </object>
@@ -1038,7 +1030,7 @@
                               <at name="scrollableTracksViewportHeight">true</at>
                               <at name="scrollableTracksViewportWidth">true</at>
                               <at name="name">treeElements</at>
-                              <at name="width">134</at>
+                              <at name="width">188</at>
                               <at name="scollBars">
                                <object classname="com.jeta.forms.store.properties.ScrollBarsProperty">
                                 <at name="name">scollBars</at>
@@ -1066,7 +1058,7 @@
                                 </at>
                                </object>
                               </at>
-                              <at name="height">257</at>
+                              <at name="height">297</at>
                              </object>
                             </at>
                            </object>
@@ -1127,6 +1119,7 @@
                                 <at name="name">scollBars</at>
                                 <at name="verticalpolicy">20</at>
                                 <at name="horizontalpolicy">30</at>
+                                <at name="scrollname"></at>
                                 <at name="border">
                                  <object classname="com.jeta.forms.store.properties.CompoundBorderProperty">
                                   <super classname="com.jeta.forms.store.properties.BorderProperty">
@@ -1149,7 +1142,7 @@
                                 </at>
                                </object>
                               </at>
-                              <at name="height">242</at>
+                              <at name="height">282</at>
                              </object>
                             </at>
                            </object>
@@ -1174,7 +1167,7 @@
                            </at>
                            <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                           </super>
-                          <at name="id">embedded.2009719044</at>
+                          <at name="id">embedded.150223787</at>
                           <at name="rowspecs">CENTER:DEFAULT:NONE</at>
                           <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
                           <at name="components">
@@ -1402,9 +1395,9 @@
                            </at>
                            <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                           </super>
-                          <at name="id">embedded.1938655414</at>
+                          <at name="id">embedded.1820482904</at>
                           <at name="rowspecs">CENTER:PREF:NONE</at>
-                          <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
+                          <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
                           <at name="components">
                            <object classname="java.util.LinkedList">
                             <item >
@@ -1413,7 +1406,7 @@
                                <super classname="com.jeta.forms.store.memento.ComponentMemento">
                                 <at name="cellconstraints">
                                  <object classname="com.jeta.forms.store.memento.CellConstraintsMemento">
-                                  <at name="column">6</at>
+                                  <at name="column">8</at>
                                   <at name="row">1</at>
                                   <at name="colspan">1</at>
                                   <at name="rowspan">1</at>
@@ -1481,7 +1474,7 @@
                                <super classname="com.jeta.forms.store.memento.ComponentMemento">
                                 <at name="cellconstraints">
                                  <object classname="com.jeta.forms.store.memento.CellConstraintsMemento">
-                                  <at name="column">4</at>
+                                  <at name="column">6</at>
                                   <at name="row">1</at>
                                   <at name="colspan">1</at>
                                   <at name="rowspan">1</at>
@@ -1549,7 +1542,7 @@
                                <super classname="com.jeta.forms.store.memento.ComponentMemento">
                                 <at name="cellconstraints">
                                  <object classname="com.jeta.forms.store.memento.CellConstraintsMemento">
-                                  <at name="column">2</at>
+                                  <at name="column">4</at>
                                   <at name="row">1</at>
                                   <at name="colspan">1</at>
                                   <at name="rowspan">1</at>
@@ -1656,7 +1649,7 @@
                                     </object>
                                    </at>
                                    <at name="name">lblSimpleElementsMsg</at>
-                                   <at name="width">80</at>
+                                   <at name="width">49</at>
                                    <at name="fill">
                                     <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                                      <at name="name">fill</at>
@@ -1670,6 +1663,74 @@
                               </object>
                              </at>
                             </item>
+                            <item >
+                             <at name="value">
+                              <object classname="com.jeta.forms.store.memento.BeanMemento">
+                               <super classname="com.jeta.forms.store.memento.ComponentMemento">
+                                <at name="cellconstraints">
+                                 <object classname="com.jeta.forms.store.memento.CellConstraintsMemento">
+                                  <at name="column">2</at>
+                                  <at name="row">1</at>
+                                  <at name="colspan">1</at>
+                                  <at name="rowspan">1</at>
+                                  <at name="halign">default</at>
+                                  <at name="valign">default</at>
+                                  <at name="insets" object="insets">0,0,0,0</at>
+                                 </object>
+                                </at>
+                                <at name="componentclass">com.jeta.forms.gui.form.StandardComponent</at>
+                               </super>
+                               <at name="jetabeanclass">com.jeta.forms.gui.beans.JETABean</at>
+                               <at name="beanclass">javax.swing.JButton</at>
+                               <at name="beanproperties">
+                                <object classname="com.jeta.forms.store.memento.PropertiesMemento">
+                                 <at name="classname">javax.swing.JButton</at>
+                                 <at name="properties">
+                                  <object classname="com.jeta.forms.store.support.PropertyMap">
+                                   <at name="border">
+                                    <object classname="com.jeta.forms.store.properties.CompoundBorderProperty">
+                                     <super classname="com.jeta.forms.store.properties.BorderProperty">
+                                      <at name="name">border</at>
+                                     </super>
+                                     <at name="borders">
+                                      <object classname="java.util.LinkedList">
+                                       <item >
+                                        <at name="value">
+                                         <object classname="com.jeta.forms.store.properties.EmptyBorderProperty">
+                                          <super classname="com.jeta.forms.store.properties.BorderProperty">
+                                           <at name="name">border</at>
+                                          </super>
+                                          <at name="top">2</at>
+                                          <at name="left">2</at>
+                                          <at name="bottom">2</at>
+                                          <at name="right">2</at>
+                                         </object>
+                                        </at>
+                                       </item>
+                                      </object>
+                                     </at>
+                                    </object>
+                                   </at>
+                                   <at name="actionCommand">+</at>
+                                   <at name="icon">
+                                    <object classname="com.jeta.forms.store.properties.IconProperty">
+                                     <at name="embedded">false</at>
+                                     <at name="path">datos/devel/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.swing/org.gvsig.expressionevaluator.swing.impl/src/main/resources/org/gvsig/expressionevaluator/swing/impl/expressionbuilder-time-limit.png</at>
+                                     <at name="description">expressionbuilder-time-limit.png</at>
+                                     <at name="width">16</at>
+                                     <at name="height">16</at>
+                                    </object>
+                                   </at>
+                                   <at name="name">btnSimpleElementTimeLimit</at>
+                                   <at name="width">20</at>
+                                   <at name="height">20</at>
+                                  </object>
+                                 </at>
+                                </object>
+                               </at>
+                              </object>
+                             </at>
+                            </item>
                            </object>
                           </at>
                           <at name="properties">
@@ -1729,7 +1790,7 @@
                             <at name="rows">
                              <object classname="[Ljava.lang.Object;" size="1">
                               <at name="item" index="0">
-                               <object classname="[Ljava.lang.Object;" size="6"/>
+                               <object classname="[Ljava.lang.Object;" size="8"/>
                               </at>
                              </object>
                             </at>
@@ -1769,7 +1830,7 @@
                            </at>
                            <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                           </super>
-                          <at name="id">embedded.1865678733</at>
+                          <at name="id">embedded.71213617</at>
                           <at name="rowspecs">CENTER:DEFAULT:NONE</at>
                           <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
                           <at name="components">
@@ -1995,7 +2056,7 @@
                            </at>
                           </object>
                          </at>
-                         <at name="name"/>
+                         <at name="name"></at>
                          <at name="fill">
                           <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                            <at name="name">fill</at>
@@ -2114,7 +2175,7 @@
                       </at>
                       <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                      </super>
-                     <at name="id">embedded.924064344</at>
+                     <at name="id">embedded.457718565</at>
                      <at name="rowspecs">CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE</at>
                      <at name="colspecs">FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE</at>
                      <at name="components">
@@ -2144,7 +2205,7 @@
                             <at name="properties">
                              <object classname="com.jeta.forms.store.support.PropertyMap">
                               <at name="name">pnlScriptEditorContainer</at>
-                              <at name="width">703</at>
+                              <at name="width">680</at>
                               <at name="height">356</at>
                              </object>
                             </at>
@@ -2170,7 +2231,7 @@
                            </at>
                            <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                           </super>
-                          <at name="id">embedded.1603668560</at>
+                          <at name="id">embedded.415114413</at>
                           <at name="rowspecs">CENTER:DEFAULT:NONE</at>
                           <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
                           <at name="components">
@@ -2220,7 +2281,7 @@
                                     </object>
                                    </at>
                                    <at name="name">cboPickerScripts</at>
-                                   <at name="width">652</at>
+                                   <at name="width">629</at>
                                    <at name="items">
                                     <object classname="com.jeta.forms.store.properties.ItemsProperty">
                                      <at name="name">items</at>
@@ -2536,7 +2597,7 @@
               </at>
              </object>
             </at>
-            <at name="width">748</at>
+            <at name="width">725</at>
             <at name="tabCount">2</at>
             <at name="height">492</at>
            </object>