Index: SpatialEvaluatorsFactory.java
===================================================================
--- SpatialEvaluatorsFactory.java	(revision 44042)
+++ SpatialEvaluatorsFactory.java	(revision 44043)
@@ -1,12 +1,10 @@
 package org.gvsig.fmap.mapcontext.layers.vectorial;
 
 import org.cresques.cts.IProjection;
-import org.gvsig.fmap.dal.DALLocator;
-import org.gvsig.fmap.dal.DataManager;
+import org.gvsig.expressionevaluator.ExpressionBuilder;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.feature.FeatureStore;
 import org.gvsig.fmap.dal.feature.FeatureType;
-import org.gvsig.fmap.dal.ExpressionBuilder;
 import org.gvsig.fmap.geom.Geometry;
 import org.gvsig.fmap.geom.primitive.Envelope;
 import org.gvsig.tools.evaluator.Evaluator;
@@ -23,13 +21,13 @@
         
     }
     
-    public ExpressionBuilder createBuilder() {
-        DataManager manager = DALLocator.getDataManager();
-        ExpressionBuilder builder = manager.createExpressionBuilder();
-        return builder;
-    }
+//    public ExpressionBuilder createBuilder() {
+//        DataManager manager = DALLocator.getDataManager();
+//        ExpressionBuilder builder = manager.createSQLBuilder();
+//        return builder;
+//    }
     
-    public Evaluator intersects(
+    private Evaluator intersects(
             Geometry geometry,
             IProjection projection, 
             FeatureType featureType,
@@ -39,7 +37,7 @@
         return new IntersectsGeometryEvaluator(geometry, projection, featureType, geomName, builder);
     }
     
-    public Evaluator intersects(
+    private Evaluator intersects(
             Envelope envelope,
             IProjection projection, 
             FeatureType featureType,
@@ -57,7 +55,7 @@
         try {
             FeatureType featureType = store.getDefaultFeatureType();
             String geomName = featureType.getDefaultGeometryAttributeName();
-            ExpressionBuilder builder = store.createExpressionBuilder();
+            ExpressionBuilder builder = (ExpressionBuilder) store.createExpressionBuilder();
             return intersects(geometry, projection, featureType, geomName,builder);
         } catch (DataException ex) {
             throw new RuntimeException("Can't create intersects evaluator.",ex);
@@ -79,7 +77,7 @@
         }
     }
 
-    public Evaluator contains(
+    private Evaluator contains(
             Envelope envelope,
             IProjection projection, 
             FeatureType featureType,
@@ -89,7 +87,7 @@
         return new ContainsEnvelopeEvaluator(envelope, projection, featureType, geomName, builder);
     }
 
-    public Evaluator contains(
+    private Evaluator contains(
             Geometry geometry,
             IProjection projection, 
             FeatureType featureType,
@@ -129,7 +127,7 @@
         }
     }
 
-    public Evaluator not_contains(
+    private Evaluator not_contains(
             Geometry geometry,
             IProjection projection, 
             FeatureType featureType,
@@ -164,7 +162,7 @@
         return new CrossesGeometryEvaluator(geometry, projection, featureType, geomName, builder);
     }
 
-    public Evaluator crosses(
+    private Evaluator crosses(
             Envelope envelope,
             IProjection projection, 
             FeatureType featureType,
@@ -204,7 +202,7 @@
         }
     }
 
-    public Evaluator disjoint(
+    private Evaluator disjoint(
             Geometry geometry,
             IProjection projection, 
             FeatureType featureType,
@@ -229,7 +227,7 @@
         }
     }
     
-    public Evaluator overlaps(
+    private Evaluator overlaps(
             Geometry geometry,
             IProjection projection, 
             FeatureType featureType,
@@ -254,7 +252,7 @@
         }
     }
     
-    public Evaluator touches(
+    private Evaluator touches(
             Geometry geometry,
             IProjection projection, 
             FeatureType featureType,
@@ -279,7 +277,7 @@
         }
     }
     
-    public Evaluator within(
+    private Evaluator within(
             Geometry geometry,
             IProjection projection, 
             FeatureType featureType,
@@ -304,7 +302,7 @@
         }
     }
     
-    public Evaluator equals(
+    private Evaluator equals(
             Geometry geometry,
             IProjection projection, 
             FeatureType featureType,