Index: JDBCStoreProviderBase.java
===================================================================
--- JDBCStoreProviderBase.java	(revision 44057)
+++ JDBCStoreProviderBase.java	(revision 44058)
@@ -6,7 +6,6 @@
 import java.util.Collections;
 import java.util.Iterator;
 import java.util.List;
-import java.util.logging.Level;
 import org.apache.commons.lang3.BooleanUtils;
 import org.apache.commons.lang3.StringUtils;
 import org.cresques.cts.IProjection;
@@ -23,7 +22,6 @@
 import org.gvsig.fmap.dal.exception.ReadException;
 import org.gvsig.fmap.dal.feature.EditableFeatureAttributeDescriptor;
 import org.gvsig.fmap.dal.feature.EditableFeatureType;
-import org.gvsig.fmap.dal.feature.FeatureAttributeDescriptor;
 import org.gvsig.fmap.dal.feature.FeatureQuery;
 import org.gvsig.fmap.dal.feature.FeatureRule;
 import org.gvsig.fmap.dal.feature.FeatureRules;
@@ -39,7 +37,6 @@
 import org.gvsig.fmap.dal.resource.spi.ResourceConsumer;
 import org.gvsig.fmap.dal.resource.spi.ResourceProvider;
 import org.gvsig.fmap.dal.spi.DataStoreProviderServices;
-//import org.gvsig.fmap.dal.store.jdbc2.JDBCServerExplorerBase;
 import org.gvsig.fmap.dal.store.jdbc.JDBCServerExplorerParameters;
 import org.gvsig.fmap.dal.store.jdbc.JDBCStoreParameters;
 import org.gvsig.fmap.dal.store.jdbc2.JDBCHelper;
@@ -62,11 +59,12 @@
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 
+@SuppressWarnings("UseSpecificCatch")
 public class JDBCStoreProviderBase
         extends AbstractFeatureStoreProvider
         implements ResourceConsumer, JDBCStoreProvider {
 
-    final static private Logger logger = LoggerFactory.getLogger(JDBCStoreProviderBase.class);
+    final static private Logger LOGGER = LoggerFactory.getLogger(JDBCStoreProviderBase.class);
 
     public class CountValue implements CalculatedValue<Long> {
         
@@ -76,10 +74,7 @@
         public void calculate() {
             JDBCStoreParameters params = getParameters();
             CountOperation count = getOperations().createCount(
-                    params.getDBName(),
-                    params.getSchema(),
-                    params.getTable(),
-                    params.getSQL(),
+                    getOperations().createTableReference(params),
                     params.getBaseFilter(), 
                     null
             );
@@ -121,10 +116,7 @@
                 JDBCStoreParameters params = getParameters();
                 CalculateEnvelopeOfColumnOperation calculateEnvelopeOfColumn = 
                     getOperations().createCalculateEnvelopeOfColumn(
-                        params.getSQL(), 
-                        params.getDBName(),
-                        params.getSchema(), 
-                        params.getTable(), 
+                        getOperations().createTableReference(params),
                         columnName, 
                         params.getBaseFilter(), 
                         params.getWorkingArea(), 
@@ -164,9 +156,7 @@
                 JDBCStoreParameters params = getParameters();
                 CanModifyTableOperation canModifyTable = 
                     getOperations().createCanModifyTableOperation(
-                        params.getDBName(),
-                        params.getSchema(), 
-                        params.getTable()
+                        getOperations().createTableReference(params)
                     );
                 this.value = (boolean) canModifyTable.perform();
             } catch(Exception ex) {
@@ -198,6 +188,7 @@
 
     protected AppendOperation appendOperation = null;
     
+    @SuppressWarnings({"OverridableMethodCallInConstructor", "CallToThreadStartDuringObjectConstruction"})
     protected JDBCStoreProviderBase(
             JDBCStoreParameters params,
             DataStoreProviderServices storeServices,
@@ -214,7 +205,7 @@
                     Thread thread = new Thread(new Runnable() {
                         @Override
                         public void run() {
-                            logger.debug("Precalculating envelope of '"+getSourceId()+"'.");
+                            LOGGER.debug("Precalculating envelope of '"+getSourceId()+"'.");
                             getEnvelopeValue().get();
                         }
                     }, "PrecalculateEnvelopeOfDBTable");
@@ -223,7 +214,7 @@
                 }
            }
         } catch(Exception ex) {
-            logger.warn("Probems precalculating the envelope of table '"+this.getSourceId()+"'.", ex);
+            LOGGER.warn("Probems precalculating the envelope of table '"+this.getSourceId()+"'.", ex);
         }
     }
 
@@ -425,7 +416,7 @@
             try {
                 r = new DummyResource(this.getName());
             } catch (InitializeException ex) {
-                logger.warn("Can't create DummyResource",ex);
+                LOGGER.warn("Can't create DummyResource",ex);
                 // Do nothing
             }
         }
@@ -463,9 +454,7 @@
         FetchFeatureTypeOperation fetchFeatureType = 
              this.getOperations().createFetchFeatureType(
                 type,
-                params.getDBName(),
-                params.getSchema(),
-                params.getTable(),
+                this.getOperations().createTableReference(params),
                 primaryKeys,
                 params.getDefaultGeometryField(),
                 params.getCRS()
@@ -494,9 +483,7 @@
             this.getOperations().createFetchFeatureProviderByReference(
                 reference, 
                 featureType, 
-                params.getDBName(),
-                params.getSchema(), 
-                params.getTable()
+                this.getOperations().createTableReference(params)
             );
         FeatureProvider feature = (FeatureProvider) fetchFeatureProviderByReference.perform();
         return feature;
@@ -515,9 +502,7 @@
         FeatureType type = this.getFeatureStore().getDefaultFeatureType();
         JDBCStoreParameters params = this.getParameters();
         PerformChangesOperation performChanges = this.getOperations().createPerformChanges(
-                params.getDBName(),
-                params.getSchema(), 
-                params.getTable(), 
+                this.getOperations().createTableReference(params),
                 type, 
                 deleteds, 
                 inserteds, 
@@ -554,9 +539,7 @@
             FeatureType type = this.getFeatureStore().getDefaultFeatureType();
             JDBCStoreParameters params = this.getParameters();
             this.appendOperation = this.getOperations().createAppend(
-                params.getDBName(),
-                params.getSchema(), 
-                params.getTable(), 
+                this.getOperations().createTableReference(params),
                 type 
             );
         }