Index: pom.xml
===================================================================
--- pom.xml	(revision 44061)
+++ pom.xml	(revision 44062)
@@ -6,7 +6,7 @@
     <artifactId>org.gvsig.desktop</artifactId>
     <packaging>pom</packaging>
 
-    <version>2.0.236</version>
+    <version>2.0.237-SNAPSHOT</version>
 
     <name>${project.artifactId}</name>
     <description>
@@ -42,9 +42,9 @@
     </organization>
 
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/tags/org.gvsig.desktop-2.0.236</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/tags/org.gvsig.desktop-2.0.236</developerConnection>
-        <url>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/tags/org.gvsig.desktop-2.0.236</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/trunk/org.gvsig.desktop/</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-desktop/trunk/org.gvsig.desktop/</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-desktop/repository/show/trunk//org.gvsig.desktop/</url>
     </scm>
 
     <repositories>
@@ -946,72 +946,72 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.about.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.about.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.metadata.lib.basic.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.metadata.lib.basic.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.metadata.swing.basic.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.metadata.swing.basic.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.projection.cresques.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.projection.cresques.ui</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.andami</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.app</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.ui</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.control</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.mapcontext.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.mapcontext.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>            
             <dependency>
                 <!-- 
@@ -1025,93 +1025,93 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.spi</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
                 <type>test-jar</type>
                 <scope>test</scope>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
                 <type>test-jar</type>
                 <scope>test</scope>
             </dependency>            <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.db.lib</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.db.jdbc</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.db.h2</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
 
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.file.lib</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.file.dbf</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.file.csv</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.dal.file.shp</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.fmap.dal.swing.api</artifactId>
-              <version>2.0.236</version>
+              <version>2.0.237-SNAPSHOT</version>
             </dependency>
                 <dependency>
               <groupId>org.gvsig</groupId>
               <artifactId>org.gvsig.fmap.dal.swing.impl</artifactId>
-               <version>2.0.236</version>
+               <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.newlayer.lib.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.newlayer.lib.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
                 <type>test-jar</type>
                 <scope>test</scope>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.newlayer.lib.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
@@ -1121,37 +1121,37 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.newlayer.prov.file</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.newlayer.prov.shape</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.symbology.lib.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.symbology.lib.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.symbology.swing.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.symbology.swing.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.geometry.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <!--
             <dependency>
@@ -1168,225 +1168,225 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.geometry.jts</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.fmap.geometry.operation.jts</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
 
 
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.tools.evaluator.sqljep</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.compat.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.compat.se</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.remoteclient</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.i18n</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.utils</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.annotation.lib.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.annotation.lib.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.annotation.swing.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.annotation.swing.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.expressionevaluator.lib.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.expressionevaluator.lib.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.expressionevaluator.swing.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.expressionevaluator.swing.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.temporarystorage.lib.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.temporarystorage.lib.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.lib.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.lib.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
                 <type>test-jar</type>
                 <scope>test</scope>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.lib.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.prov.jdbc</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.prov.shape</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.swing.prov.dbf</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.installer.swing.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.installer.swing.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.installer.lib.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.installer.lib.spi</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.installer.lib.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.installer.prov.plugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.geodb.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
 
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.app.document.table.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.daltransform.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.daltransform.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
                 <type>test-jar</type>
                 <scope>test</scope>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.daltransform.app.join</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.daltransform.app.eventtheme</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
 
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.annotation.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.centerviewpoint.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.coreplugin.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.datalocator.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
@@ -1396,7 +1396,7 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.exportto.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
@@ -1406,7 +1406,7 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.installer.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <!--
                       <dependency>
@@ -1418,22 +1418,22 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.i18n.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.selectiontools.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.geometrymeasurement.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.newlayer.app.mainplugin</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <!--
             <dependency>
@@ -1445,22 +1445,22 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.timesupport.lib.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.timesupport.lib.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.timesupport.swing.api</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.timesupport.swing.impl</artifactId>
-                <version>2.0.236</version>
+                <version>2.0.237-SNAPSHOT</version>
             </dependency>
         </dependencies>
     </dependencyManagement>