Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.api/src/main/java/org/gvsig/export/ExportProcess.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.api/src/main/java/org/gvsig/export/ExportProcess.java	(revision 44068)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.api/src/main/java/org/gvsig/export/ExportProcess.java	(revision 44069)
@@ -23,6 +23,10 @@
     
     public void setSourceTransformation(ICoordTrans transformation);
     
+    public Object getContext();
+    
+    public void setContext(Object context);
+
     public ExportParameters getParameters();
     
     public TaskStatus getTaskStatus();
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.api/src/main/java/org/gvsig/export/ExportParameters.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.api/src/main/java/org/gvsig/export/ExportParameters.java	(revision 44068)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.api/src/main/java/org/gvsig/export/ExportParameters.java	(revision 44069)
@@ -35,4 +35,7 @@
 
     public void setFilterExpresion(String expression);
     
+    public Object getContext();
+    
+    public void setContext(Object context);
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.api/src/main/java/org/gvsig/export/spi/AbstractExportParameters.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.api/src/main/java/org/gvsig/export/spi/AbstractExportParameters.java	(revision 44068)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.api/src/main/java/org/gvsig/export/spi/AbstractExportParameters.java	(revision 44069)
@@ -1,10 +1,8 @@
 package org.gvsig.export.spi;
 
-import org.cresques.cts.IProjection;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.feature.FeatureStore;
 import org.gvsig.fmap.dal.feature.FeatureType;
-import org.gvsig.tools.evaluator.Evaluator;
 import org.gvsig.export.ExportParameters;
 
 /**
@@ -17,6 +15,7 @@
     private FeatureStore sourceFeatureStore;
     private String filterExpression;
     private int featuresToUse;
+    private Object context;
 
     @Override
     public boolean needsSelectTargetProjection() {
@@ -69,5 +68,15 @@
     public void setFeaturesToUse(int featuresToUse) {
         this.featuresToUse = featuresToUse;
     }
-    
+
+    @Override
+    public Object getContext() {
+        return context;
+    }
+
+    @Override
+    public void setContext(Object context) {
+        this.context = context;
+    }
+
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.impl/src/main/java/org/gvsig/export/impl/DefaultExportProcess.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.impl/src/main/java/org/gvsig/export/impl/DefaultExportProcess.java	(revision 44068)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.lib/org.gvsig.exportto.lib.impl/src/main/java/org/gvsig/export/impl/DefaultExportProcess.java	(revision 44069)
@@ -32,6 +32,7 @@
     private IProjection contextProjection;
     private ICoordTrans sourceTransformation;
     private IProjection sourceProjection;
+    private Object context;
     
     public DefaultExportProcess() {
         
@@ -49,9 +50,10 @@
         this.parameters.setSourceFeatureStore(this.sourceFeatureStore);
         if( this.parameters instanceof ExportParametersGeometry ) {
             ExportParametersGeometry params = (ExportParametersGeometry) this.parameters;
-            params.setContextProjection(contextProjection);
-            params.setSourceProjection(sourceProjection);
-            params.setSourceTransformation(sourceTransformation);
+            params.setContextProjection(this.contextProjection);
+            params.setSourceProjection(this.sourceProjection);
+            params.setSourceTransformation(this.sourceTransformation);
+            params.setContext(this.context);
         }
         
     }
@@ -88,7 +90,21 @@
         }
     }
 
+
     @Override
+    public Object getContext() {
+        return context;
+    }
+
+    @Override
+    public void setContext(Object context) {
+        this.context = context;
+        if( this.parameters!= null ) {
+            this.parameters.setContext(context);
+        }
+    }
+
+    @Override
     public ExportParameters getParameters() {
         return this.parameters;
     }